c***********************************************************************
      DOUBLE PRECISION FUNCTION GETDOUBLE(i_line)
c***
      INCLUDE 'undefined.h'
      INCLUDE 'GP_common.h'
      INTEGER i_line, ibegin, i
      CHARACTER*128 line1,line2
      CHARACTER*1 eq_char, blank
      DATA eq_char/'='/, blank/' '/

#ifdef sn4607
      double precision readc2d
      external readc2d
#endif

c***
      line1 = lines_of_text(i_line)
      ibegin = 1 + INDEX(line1,eq_char)
      do i = 1, 128
         line2(i:i) = blank
      enddo
      line2(ibegin:128) = line1(ibegin:128)
#ifdef sn4607
      GETDOUBLE=readc2d(line2)
#else
      read(line2,*) GETDOUBLE
#endif

c***
c---      write(*,*) line1(1:ibegin-1), GETDOUBLE
c***
      return 
      end
